Please allow for an easy way to disable xsplash

Bug #439284 reported by Loïc Minier on 2009-09-30
66
This bug affects 7 people
Affects Status Importance Assigned to Milestone
xsplash
Wishlist
Unassigned
gdm (Ubuntu)
Wishlist
Unassigned
xsplash (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: xsplash

Hi

The xsplash issue in 9.10 beta got me thinking we should probably have an easy way to disable xsplash, perhaps on the kernel cmdline like the "text" option.

This might impact boot time slightly since we would be running a couple more greps, so perhaps Scott has an idea of something nicer to do, or we should wait for upstart support for this and upstartificatin of xsplash?

Thanks

ProblemType: Bug
Architecture: amd64
Date: Wed Sep 30 12:43:51 2009
DistroRelease: Ubuntu 9.10
Package: xsplash 0.8.1-0ubuntu1
ProcEnviron:
 LANGUAGE=fr_FR:fr:en_GB:en
 PATH=(custom, user)
 LANG=fr_FR.UTF-8
 SHELL=/bin/zsh
ProcVersionSignature: Ubuntu 2.6.31-11.36-generic
SourcePackage: xsplash
Uname: Linux 2.6.31-11-generic x86_64

Loïc Minier (lool) wrote :
Changed in xsplash (Ubuntu):
importance: Undecided → Wishlist
David Barth (dbarth) on 2009-09-30
Changed in xsplash (Ubuntu):
assignee: nobody → David Barth (dbarth)
status: New → Triaged
milestone: none → ubuntu-9.10
David Barth (dbarth) on 2009-10-05
Changed in xsplash:
assignee: nobody → Cody Russell (bratsche)
importance: Undecided → Wishlist
milestone: none → ubuntu-9.10
emarkay (mrk) wrote :

This is not how Jaunty appeared, and I want to see the boot process code as long as possible without having to look at logs and all that later. See: http://ubuntuforums.org/showthread.php?t=1284677

emarkay (mrk) wrote :

Ignore my comment #2 - that issue more properly addressed here:
https://bugs.launchpad.net/ubuntu/+source/gdm/+bug/447615

marufaberlin (marufaberlin) wrote :

it would also be nice to be able to apt-get remove xsplash without having to remove desktop-switcher ubuntu-desktop ubuntu-netbook-remix etc as well.

On Thu, 2009-10-08 at 20:13 +0000, emarkay wrote:
> This is not how Jaunty appeared, and I want to see the boot process code
> as long as possible without having to look at logs and all that later.
> See: http://ubuntuforums.org/showthread.php?t=1284677

So xsplash is started by gdm; and gdm is started by upstart.

The main thing is that we're running startup scripts in a dependency
order rather than serially.

I get the motivation though, but I don't think xsplash is involved in
solving the issue at all.

-Rob

marufaberlin (marufaberlin) wrote :

filed a bug for gdm

Mohegan (jack-mohegan) wrote :

I also prefer to have a text boot. Is it possible to add an option to desactivate the xsplash ?

Sebastien Bacher (seb128) wrote :

There was no need to open a gdm task there since there was a gdm bug, now to close this bug as duplicate the xsplash task needs to be closed too

Changed in gdm (Ubuntu):
importance: Undecided → Wishlist
David Barth (dbarth) wrote :

Just use that in the patch that hooks xsplash into the gdm startup files:

if grep -qs splash /proc/cmdline && [ -x `/usr/bin/xsplash' ]; then
...

in both /etc/gdm/Init/Default and /etc/gdm/PreSession/Default

Cody: can you update the patch?

Changed in xsplash:
status: New → In Progress
Changed in xsplash (Ubuntu):
status: Triaged → In Progress
Loïc Minier (lool) wrote :

17:45 < lool> Keybuk: poke
17:45 < lool> Keybuk: Do you have any issue with adding this check during boot http://bazaar.launchpad.net/~bratsche/gdm/xsplash-check-cmdline/revision/146 ?
17:45 < Keybuk> makes sense to me
17:45 < Keybuk> though why would you want to disable xsplash?
17:46 < Keybuk> you disable usplash because you want to see things going on under it
17:46 < Keybuk> all that goes on under xsplash is the pinwheel
17:46 < lool> Keybuk: Just in case something goes wrong or you simply don't want it
17:46 -!- ior3k [n=quassel@89.152.50.144] has quit [Read error: 110 (Connection timed out)]
17:46 < ion> That would match anything with a ‘splash’ substring.
17:46 < lool> Keybuk: we had the case where it broke and we had no facility to document a workaround, and some people don't like it
17:46 < lool> ion: I suggested adding -w
17:46 -!- mpt [n=mpt@canonical/mpt] has quit [Operation timed out]
17:46 < Keybuk> though strictly speaking, that grep is wrong
17:47 < Keybuk> since that will match root=/dev/mapper/ubuntu-splash-top
17:47 < Keybuk> -w won't help, since - is a word boundary
17:47 < lool> Hmm true, I think gdm was using that though
17:48 < Keybuk> the gdm upstart job reads /proc/cmdline using for
17:48 < Keybuk> random thought
17:48 < Keybuk> if you check for splash in that list and set an ENVVAR, does that end up in the gdm session scripts
17:48 < Keybuk> ie. could you modify /etc/init/gdm.conf, set SPLASH=true at the top
17:48 < lool> we dont need to send an envvar I guess
17:48 < Keybuk> then when it reads the command-line, set SPLASH=false
17:48 -!- tormod [n=tormod@138.131.217.145] has quit ["Ex-Chat"]
17:48 < Keybuk> (or however that should work)
17:49 < Keybuk> then just check that var in the scripts
17:49 < Keybuk> that'd save you a lot of processor time of re-reading /proc/cmdline a dozen times
17:49 < lool> just for ... splash) start xsplash;
17:49 < Keybuk> (well, not that it's much, but each one adds up)

Cody Russell (bratsche) on 2009-10-15
Changed in xsplash:
milestone: ubuntu-9.10 → none
Changed in xsplash (Ubuntu):
milestone: ubuntu-9.10 → none
status: In Progress → New
Changed in xsplash:
status: In Progress → New
Loïc Minier (lool) on 2009-10-15
Changed in gdm (Ubuntu):
status: New → Triaged
Changed in xsplash (Ubuntu):
status: New → Triaged
Changed in xsplash:
status: New → Confirmed
Martin Pitt (pitti) wrote :

Lucid does not currently use xsplash any more, so the gdmsetup feature is not necessary any more.

Changed in gdm (Ubuntu):
status: Triaged → Invalid
Cody Russell (bratsche) on 2010-03-11
Changed in xsplash:
assignee: Cody Russell (bratsche) → nobody
David Barth (dbarth) wrote :

xsplash has been obsoleted now.

Changed in xsplash (Ubuntu):
assignee: David Barth (dbarth) → nobody
status: Triaged → Invalid
Changed in xsplash:
status: Confirmed → Invalid
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers